/****************************************************************************
*
* (C) 2003 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 36-38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-0
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* Module         : HELPER.H
* Function       : prototypes, constants for helper functions
* ---------------------------------------------------------------------------

$Header: HELPER.H, 5, 13.04.2004 11:34:09, Andre Pribil$

*****************************************************************************/

#ifndef HELPER_H
#define HELPER_H

#include <dos.h>

/***************************************************************************/
// Prototyps
/***************************************************************************/
#ifdef __cplusplus
extern "C" {
#endif

typedef int _cdecl (far * Sprintf_Fptr)(char far * buf,
                                        const char far * fmt,
                                        void far * ap);

void         _cdecl helper_strout( const char far *s );
int          _cdecl helper_chrout( char ch, register zero );
void         _cdecl helper_dezout( register x, register zero );
void         _cdecl helper_hexdig( unsigned char dig );
void         _cdecl helper_hexout( unsigned hex );
int          _cdecl helper_printf( const char _FAR *fmt, ...);

unsigned int _cdecl helper_alloc_rtos_mem  ( unsigned long size );
int          _cdecl helper_release_rtos_mem( unsigned int seg );

#ifdef __cplusplus
}
#endif


#endif // HELPER_H
